import request from '@/utils/request'

// 查询专业分类列表
export function listMajorClass(query) {
  return request({
    url: '/hezhi/majorClass/list',
    method: 'get',
    params: query
  })
}

// 查询专业分类详细
export function getMajorClass(majorId) {
  return request({
    url: '/hezhi/majorClass/' + majorId,
    method: 'get'
  })
}

// 新增专业分类
export function addMajorClass(data) {
  return request({
    url: '/hezhi/majorClass',
    method: 'post',
    data: data
  })
}

// 修改专业分类
export function updateMajorClass(data) {
  return request({
    url: '/hezhi/majorClass',
    method: 'put',
    data: data
  })
}

// 删除专业分类
export function delMajorClass(majorId) {
  return request({
    url: '/hezhi/majorClass/' + majorId,
    method: 'delete'
  })
}

// 专业分类下拉框树列表
export function getAllMajorClassList(){
  return request({
    url: '/hezhi/majorClass/getAllMajorClassList',
    method: 'get'
  })
}
